package p24_pliki;

import java.io.FileNotFoundException;
import java.io.PrintWriter;

public class Zapis1 {
    public static void main(String[] args) {
        try {
            PrintWriter out = new PrintWriter("out/zapis1.txt");
            out.println("Ala ma kota");
            out.println("Ola ma psa");
            out.flush();
            out.println("Ela ma chomika");
            out.println("Koniec");
            // brak close - do pliku trafia tylko część danych sprzed flusha

            System.out.println("Gotowe");
        } catch (FileNotFoundException e) {
            throw new RuntimeException(e);
        }
    }
}
